> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/elastic-ip/availablelanip.md).

# AvailableLanIp

## 1. API Description

This API (AvailableLanIp) is used to query the elastic vNICs that can be associated with a specified elastic IP (EIP) and their private IPv4 addresses.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                                                                                                                                               |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eipId          | Yes      | String | <p>ID of the elastic IP to be queried.</p><p>The interface returns all bindable vNICs and private IPs in the subnets in the same region as this EIP.</p><p>The EIP ID can be obtained through the <a href="/api-reference/zec/elastic-ip/describeeips.md">DescribeEips</a> interface.</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                        | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                      | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| lanIps         | Array of [PrivateIpInfo](/api-reference/zec/datastructure.md#privateipinfo) | List of the vNIC and private IP combinations that can be bound to the specified EIP.                                  |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Obtain available private IP.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AvailableLanIp


Request:
{
  "eipId": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "lanIps": [
      {
        "lanIp": "xxx",
        "nicId": "xxx",
        "nicName": "xxx",
        "instanceId": "xxx",
        "instanceName": "xxx"
      }
    ]
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code               | Description                |
| ---------------- | ------------------------ | -------------------------- |
| 404              | INVALID\_EIP\_NOT\_FOUND | Elastic IP does not exist. |
